netmodel (2.17.15) unstable; urgency=medium

  * [NetModel] getDHCPOption query for RA does not work

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Dec 2024 10:36:37 +0000

netmodel (2.17.14) unstable; urgency=medium

  * [NetModel] Further cpu load optimizations

 -- SAH bot <sahbot@softathome.com>  Fri, 06 Dec 2024 15:06:50 +0000

netmodel (2.17.13) unstable; urgency=medium

  * - [routeradvertisement] A and L flags must be set by default

 -- SAH bot <sahbot@softathome.com>  Tue, 03 Dec 2024 11:00:34 +0000

netmodel (2.17.12) unstable; urgency=medium

  * [NetModel] Link/unlink sequence can result in an endless event toggle

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Nov 2024 15:18:16 +0000

netmodel (2.17.11) unstable; urgency=medium

  * [netmodel][dslite] - DSLite status remains in Error after EndpointName is updated

 -- SAH bot <sahbot@softathome.com>  Mon, 18 Nov 2024 12:33:59 +0000

netmodel (2.17.10) unstable; urgency=medium

  * Reduce regex usage in signal handling

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Nov 2024 14:05:56 +0000

netmodel (2.17.9) unstable; urgency=medium

  * [NetModel] Optimize query retriggering

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Nov 2024 15:43:22 +0000

netmodel (2.17.8) unstable; urgency=medium

  * [NetModel] NetModel not starting if pcb bus is not

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Nov 2024 08:16:31 +0000

netmodel (2.17.7) unstable; urgency=medium

  * [NetModel] Extend query statistics

 -- SAH bot <sahbot@softathome.com>  Mon, 28 Oct 2024 16:34:57 +0000

netmodel (2.17.6) unstable; urgency=medium

  * [NetModel] Sync Status_ext parameter to Status

 -- SAH bot <sahbot@softathome.com>  Mon, 07 Oct 2024 08:51:07 +0000

netmodel (2.17.5) unstable; urgency=medium

  * [NetModel] Only sync Status and Enable parameters in one direction

 -- SAH bot <sahbot@softathome.com>  Wed, 18 Sep 2024 10:16:41 +0000

netmodel (2.17.4) unstable; urgency=medium

  * [NetModel] Set correct permissions on direct socket

 -- SAH bot <sahbot@softathome.com>  Wed, 18 Sep 2024 10:00:26 +0000

netmodel (2.17.3) unstable; urgency=medium

  * [NetModel] Connect via direct socket if possible

 -- SAH bot <sahbot@softathome.com>  Thu, 05 Sep 2024 07:42:33 +0000

netmodel (2.17.2) unstable; urgency=medium

  * Better shutdown script

 -- SAH bot <sahbot@softathome.com>  Tue, 23 Jul 2024 07:35:06 +0000

netmodel (2.17.1) unstable; urgency=medium

  * PRPL/COVERITY:netmodel issue

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Jul 2024 13:08:05 +0000

netmodel (2.17.0) unstable; urgency=medium

  * - [Cellular] Add support of cellular interfaces

 -- SAH bot <sahbot@softathome.com>  Fri, 19 Apr 2024 10:41:32 +0000

netmodel (2.16.0) unstable; urgency=medium

  * add moca mib odl file

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Apr 2024 15:33:19 +0000

netmodel (2.15.8) unstable; urgency=medium

  * Make amxb timeouts configurable

 -- SAH bot <sahbot@softathome.com>  Wed, 10 Apr 2024 10:00:33 +0000

netmodel (2.15.7) unstable; urgency=medium

  * [NetModel] Use strict stringcompare instead of substring matching to resolve paths

 -- SAH bot <sahbot@softathome.com>  Fri, 22 Mar 2024 15:46:55 +0000

netmodel (2.15.6) unstable; urgency=medium

  * After reboot all hosts are disconnected (AKA amb timeouts)

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Mar 2024 09:10:07 +0000

netmodel (2.15.5) unstable; urgency=medium

  * Creating and Adding the wds mib.

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Mar 2024 09:02:13 +0000

netmodel (2.15.4) unstable; urgency=medium

  * - add MACAddress and BSSID for ssid mib.

 -- SAH bot <sahbot@softathome.com>  Wed, 20 Mar 2024 09:21:31 +0000

netmodel (2.15.3) unstable; urgency=medium

  * Load Flags for default interfaces in event handler instead of action handler

 -- SAH bot <sahbot@softathome.com>  Tue, 16 Jan 2024 16:29:45 +0000

netmodel (2.15.2) unstable; urgency=medium

  * Initialize NetModel private data using an action handler instead of event handler

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Jan 2024 15:03:59 +0000

netmodel (2.15.1) unstable; urgency=medium

  *  All applications using sahtrace logs should use default log levels

 -- SAH bot <sahbot@softathome.com>  Fri, 13 Oct 2023 14:02:26 +0000

netmodel (2.15.0) unstable; urgency=medium

  * make it possible to query MTU

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Oct 2023 10:50:49 +0000

netmodel (2.14.0) unstable; urgency=medium

  * [amxrt][no-root-user][capability drop]Netmodel/Netmodel-clients must be adapted to run as non-root and lmited capabilities

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Oct 2023 09:00:05 +0000

netmodel (2.13.0) unstable; urgency=medium

  * [amx][conmon] ConMon must support arp(ipv4) and icmpv6(ipv6)

 -- SAH bot <sahbot@softathome.com>  Tue, 03 Oct 2023 06:57:28 +0000

netmodel (2.12.0) unstable; urgency=medium

  * Create a statmon client for netmodel

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Sep 2023 07:06:16 +0000

netmodel (2.11.0) unstable; urgency=medium

  * [AP Config][IPv4 connectivity] Repeater should switch from static to dhcp ip address

 -- SAH bot <sahbot@softathome.com>  Tue, 26 Sep 2023 11:41:57 +0000

netmodel (2.10.4) unstable; urgency=medium

  * Correctly clean up object<->intf pointers

 -- SAH bot <sahbot@softathome.com>  Fri, 22 Sep 2023 16:19:40 +0000

netmodel (2.10.3) unstable; urgency=medium

  * [Fut][Random]Youtube and facebook are not accessible with a browser (firefox) - no RA on LAN

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Sep 2023 11:25:38 +0000

netmodel (2.10.2) unstable; urgency=medium

  * [NetModel] Fix query triggering when multiple parameters are updated at the same time

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Sep 2023 10:14:51 +0000

netmodel (2.10.1) unstable; urgency=medium

  * Init script has no shutdown function

 -- SAH bot <sahbot@softathome.com>  Mon, 03 Jul 2023 12:42:34 +0000

netmodel (2.10.0) unstable; urgency=medium

  * [CDROUTER][IPv6] The Box is still advertising itself as router at reception on WAN of RA with router lifetime 0

 -- SAH bot <sahbot@softathome.com>  Tue, 30 May 2023 11:51:12 +0000

netmodel (2.9.0) unstable; urgency=medium

  * Sync xpon EthernetUNI with NetModel

 -- SAH bot <sahbot@softathome.com>  Thu, 04 May 2023 09:40:19 +0000

netmodel (2.8.0) unstable; urgency=medium

  * Support IPv6 unnumbered mode

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Apr 2023 12:09:18 +0000

netmodel (2.7.0) unstable; urgency=medium

  * Create an event when a renew is received

 -- SAH bot <sahbot@softathome.com>  Tue, 04 Apr 2023 10:42:15 +0000

netmodel (2.6.4) unstable; urgency=medium

  * Still invalid prefix in the Prefixes parameter

 -- SAH bot <sahbot@softathome.com>  Wed, 15 Mar 2023 10:43:09 +0000

netmodel (2.6.3) unstable; urgency=medium

  * [Config] enable configurable coredump generation

 -- SAH bot <sahbot@softathome.com>  Thu, 09 Mar 2023 09:17:53 +0000

netmodel (2.6.2) unstable; urgency=medium

  * Return the relative lifetimes in getIPv6Prefix result

 -- SAH bot <sahbot@softathome.com>  Tue, 28 Feb 2023 18:11:16 +0000

netmodel (2.6.1) unstable; urgency=medium

  * Return index in getIPv6Prefix

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Feb 2023 08:54:05 +0000

netmodel (2.6.0) unstable; urgency=medium

  * Box sends 2 ICMPv6 RA when a RS is received on LAN

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Feb 2023 11:41:13 +0000

netmodel (2.5.4) unstable; urgency=medium

  * [NetModel] Check query flag argument using regex when retriggering

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Jan 2023 10:57:21 +0000

netmodel (2.5.3) unstable; urgency=medium

  * [Config] coredump generation should be configurable

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Dec 2022 09:18:07 +0000

netmodel (2.5.2) unstable; urgency=medium

  * [netmodel][DHCPv6Client][getDHCPOption] DHCPv6 option 24 is wrongly parsed

 -- SAH bot <sahbot@softathome.com>  Mon, 05 Dec 2022 12:58:57 +0000

netmodel (2.5.1) unstable; urgency=medium

  * [NetModel] Update copyright information

 -- SAH bot <sahbot@softathome.com>  Fri, 25 Nov 2022 11:29:01 +0000

netmodel (2.5.0) unstable; urgency=medium

  * [dslite][netmodel] Create a netmodel client for dslite interfaces.

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Nov 2022 07:09:18 +0000

netmodel (2.4.2) unstable; urgency=medium

  * [NetModel] Reduce the amount of variant copies

 -- SAH bot <sahbot@softathome.com>  Tue, 15 Nov 2022 12:38:13 +0000

netmodel (2.4.1) unstable; urgency=medium

  * [NetModel] Make the Intf Name parameter writable

 -- SAH bot <sahbot@softathome.com>  Mon, 07 Nov 2022 16:59:34 +0000

netmodel (2.4.0) unstable; urgency=medium

  * [NetModel] Add statistics for queries and events

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Oct 2022 09:49:37 +0000

netmodel (2.3.0) unstable; urgency=medium

  * Add API to get all link information

 -- SAH bot <sahbot@softathome.com>  Fri, 21 Oct 2022 12:28:32 +0000

netmodel (2.2.4) unstable; urgency=medium

  * [NetModel] Take null variants into account when comparing query results

 -- SAH bot <sahbot@softathome.com>  Fri, 21 Oct 2022 06:55:06 +0000

netmodel (2.2.3) unstable; urgency=medium

  * [NetModel] Use amxc_var_compare to compare htable and list variants

 -- SAH bot <sahbot@softathome.com>  Wed, 19 Oct 2022 06:46:53 +0000

netmodel (2.2.2) unstable; urgency=medium

  * Add support of the mib for the brigde tag

 -- SAH bot <sahbot@softathome.com>  Tue, 18 Oct 2022 14:24:48 +0000

netmodel (2.2.1) unstable; urgency=medium

  * [Netmodel] remove lowerlayers parameter from ssid and radio

 -- SAH bot <sahbot@softathome.com>  Thu, 06 Oct 2022 08:40:00 +0000

netmodel (2.2.0) unstable; urgency=medium

  * Dynamic handling of network events (PPP)

 -- SAH bot <sahbot@softathome.com>  Mon, 29 Aug 2022 15:11:34 +0000

netmodel (2.1.0) unstable; urgency=medium

  * [netmodel][client] Add support for radio and ssid clients in netmodel

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Aug 2022 08:29:52 +0000

netmodel (2.0.0) unstable; urgency=medium

  * [NetModel] Remove registerSync API

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Aug 2022 09:51:17 +0000

netmodel (1.17.1) unstable; urgency=medium

  * [PRPLoS] Reduce logging during start up.

 -- SAH bot <sahbot@softathome.com>  Tue, 21 Jun 2022 08:02:16 +0000

netmodel (1.17.0) unstable; urgency=medium

  * [netmodel][client] Add support for ppp clients in netmodel

 -- SAH bot <sahbot@softathome.com>  Mon, 23 May 2022 11:56:37 +0000

netmodel (1.16.1) unstable; urgency=medium

  * NetModel getAddr asynchronous query not working

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Apr 2022 15:43:52 +0000

netmodel (1.16.0) unstable; urgency=medium

  * [netmodel] Support of prefix queries in netmodel/libnetmodel

 -- SAH bot <sahbot@softathome.com>  Tue, 19 Apr 2022 12:00:34 +0000

netmodel (1.15.3) unstable; urgency=medium

  * [NetModel] Change query updated event to match the event sent by NeMo

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Apr 2022 06:21:02 +0000

netmodel (1.15.2) unstable; urgency=medium

  * The loopback interface must be marked with the netdev flag.

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Apr 2022 06:43:15 +0000

netmodel (1.15.1) unstable; urgency=medium

  * [GetDebugInformation] Add data model debuginfo in component services

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Mar 2022 10:59:18 +0000

netmodel (1.15.0) unstable; urgency=medium

  * implement iprouter client and iprouter mib

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Mar 2022 09:04:17 +0000

netmodel (1.14.3) unstable; urgency=medium

  * [NetModel] Add doxygen generation

 -- SAH bot <sahbot@softathome.com>  Mon, 14 Mar 2022 15:52:11 +0000

netmodel (1.14.2) unstable; urgency=medium

  * [NetModel] Create separate plugin to run NetModel clients

 -- SAH bot <sahbot@softathome.com>  Mon, 28 Feb 2022 10:47:38 +0000

netmodel (1.14.1) unstable; urgency=medium

  * Enable core dumps by default

 -- SAH bot <sahbot@softathome.com>  Fri, 25 Feb 2022 10:54:15 +0000

netmodel (1.14.0) unstable; urgency=medium

  * [NetModel] Add getMibs API

 -- SAH bot <sahbot@softathome.com>  Tue, 22 Feb 2022 13:50:43 +0000

netmodel (1.13.5) unstable; urgency=medium

  * [NetModel] Typo in regex for dhcpOption change events

 -- SAH bot <sahbot@softathome.com>  Fri, 18 Feb 2022 14:03:53 +0000

netmodel (1.13.4) unstable; urgency=medium

  * [NetModel] Crash when opening the same getDHCPOption query twice

 -- SAH bot <sahbot@softathome.com>  Wed, 16 Feb 2022 20:41:53 +0000

netmodel (1.13.3) unstable; urgency=medium

  * [NetModel] Bridging instances are no longer added to NetModel

 -- SAH bot <sahbot@softathome.com>  Tue, 15 Feb 2022 22:26:03 +0000

netmodel (1.13.2) unstable; urgency=medium

  * [NetModel] Disable datamodel persistency

 -- SAH bot <sahbot@softathome.com>  Tue, 15 Feb 2022 15:51:54 +0000

netmodel (1.13.1) unstable; urgency=medium

  * [NetModel] Ensure that the private intf_t structure is created when needed

 -- SAH bot <sahbot@softathome.com>  Wed, 09 Feb 2022 07:51:50 +0000

netmodel (1.13.0) unstable; urgency=medium

  * [netmodel] Support getDHCPOption() queries

 -- SAH bot <sahbot@softathome.com>  Tue, 08 Feb 2022 11:08:34 +0000

netmodel (1.12.0) unstable; urgency=medium

  * create netmodel client for tr181-logical

 -- SAH bot <sahbot@softathome.com>  Mon, 07 Feb 2022 17:00:14 +0000

netmodel (1.11.0) unstable; urgency=medium

  * implement netdev client and netdev mib

 -- SAH bot <sahbot@softathome.com>  Fri, 04 Feb 2022 17:23:25 +0000

netmodel (1.10.0) unstable; urgency=medium

  * Integrate support for bridging in NetModel

 -- SAH bot <sahbot@softathome.com>  Mon, 31 Jan 2022 15:30:20 +0000

netmodel (1.9.2) unstable; urgency=medium

  * Only use index paths when opening NetModel queries

 -- SAH bot <sahbot@softathome.com>  Wed, 26 Jan 2022 19:50:52 +0000

netmodel (1.9.1) unstable; urgency=medium

  * Prevent amxp_expr_clean of uninitialized expression

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Jan 2022 15:24:11 +0000

netmodel (1.9.0) unstable; urgency=medium

  * Support queries on TR181 paths that are not yet present

 -- SAH bot <sahbot@softathome.com>  Fri, 14 Jan 2022 12:54:03 +0000

netmodel (1.8.0) unstable; urgency=medium

  * IP client startup does not always work properly

 -- SAH bot <sahbot@softathome.com>  Fri, 14 Jan 2022 08:47:19 +0000

netmodel (1.7.0) unstable; urgency=medium

  * Create DHCPv6 Client mapping in NetModel

 -- SAH bot <sahbot@softathome.com>  Tue, 11 Jan 2022 10:03:08 +0000

netmodel (1.6.0) unstable; urgency=medium

  * Create DHCPv4 Client mapping in NetModel
  * implement ip client and ip mib

 -- SAH bot <sahbot@softathome.com>  Mon, 10 Jan 2022 12:49:40 +0000

netmodel (1.5.0) unstable; urgency=medium

  * create mib_ethernet

 -- SAH bot <sahbot@softathome.com>  Tue, 04 Jan 2022 08:19:46 +0000

netmodel (1.4.1) unstable; urgency=medium

  * implement ip client and ip mib

 -- SAH bot <sahbot@softathome.com>  Thu, 16 Dec 2021 15:13:06 +0000

netmodel (1.4.0) unstable; urgency=medium

  * Implement IP address queries

 -- SAH bot <sahbot@softathome.com>  Tue, 14 Dec 2021 17:27:13 +0000

netmodel (1.3.3) unstable; urgency=medium

  * [amx][NetModel] Add guest interface to defaults

 -- SAH bot <sahbot@softathome.com>  Wed, 08 Dec 2021 16:12:25 +0000

netmodel (1.3.2) unstable; urgency=medium

  * [amx][NetModel] Handle events from entry point events before sending app:start

 -- SAH bot <sahbot@softathome.com>  Mon, 06 Dec 2021 14:14:11 +0000

netmodel (1.3.1) unstable; urgency=medium

  * Register on start event

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Nov 2021 16:07:31 +0000

netmodel (1.3.0) unstable; urgency=medium

  * Send events when (un)linking interfaces
  * [BAF] add support for amx docgen
  * [BAF] add support for amx docgen

 -- SAH bot <sahbot@softathome.com>  Wed, 27 Oct 2021 08:40:08 +0000

netmodel (1.2.1) unstable; urgency=medium

  * [NetModel] Interface path must start with "Device."

 -- SAH bot <sahbot@softathome.com>  Sat, 23 Oct 2021 07:09:33 +0000

netmodel (1.2.0) unstable; urgency=medium

  * Create Tr181 Interface clients

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Oct 2021 12:46:42 +0000

netmodel (1.1.0) unstable; urgency=medium

  * Implement query functionality
  * [Netmodel] Interface flags implementation
  * [Netmodel] Implement data model functions

 -- SAH bot <support.opensource@softathome.com>  Tue, 07 Sep 2021 11:36:18 +0000

netmodel (1.0.2) unstable; urgency=medium

  * [Netmodel] Update changelogs

 -- Alexander Van Parys <alexander.vanparys_ext@softathome.com>  Wed Jun 23 14:30:00 2021 +0000

netmodel (1.0.1) unstable; urgency=medium

  * [Netmodel] Load MIBs based on interface flags
  * Generate datamodel documentation

 -- Alexander Van Parys <alexander.vanparys_ext@softathome.com>  Wed Jun 23 11:42:46 2021 +0000
netmodel (1.0.0) unstable; urgency=medium

  * First delivery with initial datamodel

 -- Alexander Van Parys <alexander.vanparys_ext@softathome.com>  Fri Jun 18 07:30:26 2021 +0000

netmodel (0.0.0) unstable; urgency=medium

  * Initial version

 -- Jonathan Eeckhout <jonathan.eeckhout@softathome.com>  Wed Jun 9 12:04:49 2021 +0000
